function M = mass_matrix(alpha,number,Theta_0)
% mass-matrix to handle second derivatives
M = zeros([number*2,number*2]);
% first derivatives
for k = 1:number
    M(2*k-1,2*k-1) = 1;
end
% second derivatives
for k = 2:number-1
    M(2*k, 2*k) = (1-alpha) + (1-alpha)/(1-cos(Theta_0)^2);
    M(2*k, 2*k-2) = (alpha)/2 - (alpha)/4/(1-cos(Theta_0)^2);
    M(2*k, 2*k+2) = (alpha)/2 - (alpha)/4/(1-cos(Theta_0)^2);
end
M(2,2) = 1;
M(2*number,2*number) = 1;
end


